package com.zaojiao.app.ui.demo

import androidx.compose.foundation.layout.Column
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.remember

@Composable
fun BalanceColumn() {
    val transactions = listOf(1, 2, 3, 4, 5)
    val balances = remember(transactions) {
        transactions.runningReduce { a, b -> a + b }
    }

    Column() {
        for ((transaction, balance) in transactions.zip(balances)) {
            Text("Transaction: $transaction Balance: $balance")
        }
    }
}